Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Update attribute template

Updates an existing attribute template including its name, key, type, fields, and resource associations. If a field with the same key already exists, it will be updated rather than duplicated.

PATCH/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

attribute_template_keystringrequired

Key of the attribute template

Request body
requiredapplication/json

Attribute data

fieldsinternal_pkg_webserver_v1.InputAttributeField[]
Show properties
Array of internal_pkg_webserver_v1.InputAttributeField
keystringrequired

Key of the attribute template field

namestringrequired

Name for the attribute template field

typestringrequired

The type of the attribute template field. This field defines how we should treat the field when you create, update or list attributes

Allowed:booleantexthtmlnumberimagecolorimage_object
filterableboolean
keystring

Key of the attribute

namestring

Name of the attribute

resourcesstring[]
translatableboolean
typestring

Name of the attribute

Responses
200

Attribute template

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTemplaterequired
Show properties
attributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
created_atstring
descriptionstring | null
filterableboolean | null
idstring
keystring
namestring | null
template_keystring
template_namestring
translatableboolean | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations
Show properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
idstring
localestring
valuestring
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
updated_atstring | null
valuesobject | null
created_atstring
fieldsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTemplateField[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTemplateField
created_atstring
idstring
keystring
namestring
typestring
updated_atstring | null
filterableboolean
idstring
keystring
namestring
resourcesstring[] | null
translatableboolean
typestring
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.enad.io/api/v1/string/string/attributes/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "fields": [
    {
      "key": "string",
      "name": "string",
      "type": "boolean"
    }
  ],
  "filterable": true,
  "key": "string",
  "name": "string",
  "resources": [
    "string"
  ],
  "translatable": true,
  "type": "string"
}'
Response
{
  "data": {
    "attributes": [
      {
        "created_at": "string",
        "description": "string",
        "filterable": true,
        "id": "string",
        "key": "string",
        "name": "string",
        "template_key": "string",
        "template_name": "string",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "values": {
          "property1": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          },
          "property2": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          }
        }
      }
    ],
    "created_at": "string",
    "fields": [
      {
        "created_at": "string",
        "id": "string",
        "key": "string",
        "name": "string",
        "type": "string",
        "updated_at": "string"
      }
    ],
    "filterable": true,
    "id": "string",
    "key": "string",
    "name": "string",
    "resources": [
      "string"
    ],
    "translatable": true,
    "type": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}